Browser and Operating System compatibilty changes

General announcements and other important news

Browser and Operating System compatibilty changes

Postby Gavin » Mon Nov 11, 2019 12:45 am

I received a message from Betfair explaining that they are withdrawing compatibility with the following browser versions, which means that the 'standard login' option using Cymatic will no longer work if you have one of these versions:

• IE 6 / XP

• IE 7 / Vista

• IE 8 / XP

• IE 8-10 / Win 7

• IE 10 / Win Phone 8.0

Support was already withdrawn for Windows XP in the past. Windows XP continues to not be supported at all.

If you have one of those browser versions, please either upgrade to Internet Explorer 11, or try using the minimal login option in Cymatic, which avoids using a web browser window to do the login.

Kind regards,

Gavin
User avatar
Gavin
Site Admin
 
Posts: 3363
Joined: Wed Jan 23, 2013 9:11 pm
Location: United Kingdom

Re: Browser and Operating System compatibilty changes

Postby Gavin » Tue Feb 04, 2020 7:27 pm

The following detailed message was sent to Cymatic from Betfair giving more information about the browser versions that can no longer access Betfair:


Dear Software Vendor,

On Monday 3rd February we’ll be deprecating support for specific TLS ciphers, removing support for more vulnerable internet browsers. This release was originally planned for 11th November 2019 but was subsequently delayed.

Disabling support for these TLS ciphers means that Betfair customers using the below browsers/operating system and language versions will no longer be able to access the Betfair website or login via the API (i.e. via identitysso.betfair.com)

PLEASE NOTE: - We’ve identified a small number of customers who may be affected by this change and have contacted them directly. Less than 0.01% of customers are affected.

Android 2.3.7
Android 4.0.4
Android 4.1.1
Android 4.2.2
Android 4.3
Baidu Jan 2015
IE 6 / XP
IE 7 / Vista
IE 8 / XP
IE 8-10 / Win 7
IE 10 / Win Phone 8.0
Safari 5.1.9 / OS X 10.6.8
Safari 6.0.4 / OS X 10.8.4
Java 6u45
Java 7u25
OpenSSL 0.9.8y


The ciphers that will no longer be supported are:


TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384

TLS_RSA_WITH_AES_256_CBC_SHA256

TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256

TLS_RSA_WITH_AES_128_CBC_SHA256


Kind Regards,

Betfair Developer Program
User avatar
Gavin
Site Admin
 
Posts: 3363
Joined: Wed Jan 23, 2013 9:11 pm
Location: United Kingdom


Return to Announcements by Cymatic

Who is online

Users browsing this forum: No registered users and 0 guests

cron